Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.generator.tool.ant
Class HiberGUITask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              hibergui.generator.tool.ant.HiberGUITask

All Implemented Interfaces:
  java.lang.Cloneable

    public class HiberGUITask

extends org.apache.tools.ant.Task

Ant task class. This class represents an Ant task, so with using this task you can use HiberGUI with Ant.

Author:
  Csaba Gyenge
See Also:
  `http://ant.apache.org/manual/develop.html`

Nested Class Summary
`class` | `HiberGUITask.Configuration` Represents nested element, called `configuration`.
`class` | `HiberGUITask.Logger` Represents nested element, called `logger`.

Field Summary
`private HiberGUITask.Configuration` | `configuration`
`private java.lang.String` | `destdir`
`private HiberGUITask.Logger` | `logger`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`HiberGUITask()`

Method Summary
`HiberGUITask.Configuration` | `createConfiguration()` The creator of the `configuration` nested element.
`HiberGUITask.Logger` | `createLogger()` The creator of the `logger` nested element.
`void` | `execute()` The method executing the task
`void` | `setDestdir(java.lang.String destdir)` The setter for the `destdir` attribute.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destdir

    private java.lang.String destdir

### configuration

    private HiberGUITask.Configuration configuration

### logger

    private HiberGUITask.Logger logger

Constructor Detail

### HiberGUITask

    public HiberGUITask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  The method executing the task

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### setDestdir

    public void setDestdir(java.lang.String destdir)

  The setter for the `destdir` attribute.

  Parameters:
    `destdir` - Destination directory of generated java source files

### createConfiguration

    public HiberGUITask.Configuration createConfiguration()

  The creator of the `configuration` nested element.

### createLogger

    public HiberGUITask.Logger createLogger()

  The creator of the `logger` nested element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD